/* 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * The Original Code is useragent toolbar
 *
 * The Initial Developer of the Original Code is David Illsely <illsleydc@bigfoot.com>
 * Portions created by David Illsley are Copyright (C) 2001
 * David Illsley. All Rights Reserved.
 * 
 * Contributor(s): David Illsley <illsleydc@bigfoot.com>
 * 
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL"), in which case the provisions of the GPL are applicable 
 * instead of those above.  If you wish to allow use of your 
 * version of this file only under the terms of the GPL and not to
 * allow others to use your version of this file under the MPL,
 * indicate your decision by deleting the provisions above and
 * replace them with the notice and other provisions required by
 * the GPL.  If you do not delete the provisions above, a recipient
 * may use your version of this file under either the MPL or the
 * GPL.
 */
var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService)
pref = pref.getBranch("");

function modifyTextBox(newvalue){
  document.getElementById('uaInput').value=newvalue;
}

function setUA() {
  pref.setCharPref('general.useragent.override', document.getElementById('uaInput').value );
  alert("useragent string is now: "+navigator.userAgent);
}

function clearUA(){
pref.setCharPref('general.useragent.override',"");
pref.clearUserPref('general.useragent.override');
alert("useragent string reset to "+navigator.userAgent);
}

function resetTextBox(){
	modifyTextBox("Enter new UA String or choose a common one. Then press ENTER");
}
